# flatpak build-update-repo

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak build-update-repo
1

# flatpak-build-update-repo

Create a repository from a build directory

                    flatpak build-update-repo
                    OPTION
                    LOCATION

## Description

Updates repository metadata for the repository at LOCATION. This command generates an OSTree summary file that lists the contents of the repository. The summary is used by flatpak remote-ls and other commands to display the contents of remote repositories.

After this command, LOCATION can be used as the repository location for flatpak remote-add, either by exporting it over http, or directly with a file: url.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--redirect-url=URL`

  Redirect this repo to a new URL.

`--title=TITLE`

  A title for the repository, e.g. for display in a UI. The title is stored in the repository summary.

`--default-branch=BRANCH`

  A default branch for the repository, mainly for use in a UI.

`--gpg-import=FILE`

  Import a new default GPG public key from the given file.

`--gpg-sign=KEYID`

  Sign the commit with this GPG key. This option can be used multiple times.

`--gpg-homedir=PATH`

  GPG Homedir to use when looking for keyrings

`--generate-static-deltas`

  Generate static deltas for all references. This generates from-empty and delta static files that allow for faster download.

`--prune`

  Remove unreferenced objects in repo.

`--prune-depth`

  Only keep at most this number of old versions for any particular ref. Default is -1 which means infinite.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

`--version`

  Print version information and exit.

## See also

ostree 1, flatpak 1, flatpak-remote-ls 1, flatpak-build-export 1